#ifndef CRFEPURINTERFACESETTINGS_H
#define CRFEPURINTERFACESETTINGS_H

#include "../../ui/TabWidget.h"
#include "../../ui/ConfigDialog.h"
#include <ui_CRfePurInterfaceSettings.h>

class QrfeRfePurReader;

class CRfePurInterfaceSettings : public ReaderTabWidget, ConfigDialog
{
    Q_OBJECT

public:
    CRfePurInterfaceSettings(QTextEdit* infoEdit, QWidget* parent);
    ~CRfePurInterfaceSettings();

	virtual bool init(QrfeReaderInterface* reader);
	virtual void deinit();
	virtual void activated();

private slots:
	void switchCommInterface ();
	void switchCommBaudrate ();

private:
    QrfeRfePurReader* 		m_reader;

    Ui::CRfePurInterfaceSettingsClass ui;
};

#endif // CRFEPURINTERFACESETTINGS_H
